Subject: Re: linux-next: manual merge of the omap_dss2 tree with the omap tree

From: Tony Lindgren <[email-masked]>
Date: Fri, 14 May 2010 12:09:06 -0700

* Tomi Valkeinen <[email-masked]> [100512 01:54]:
> Hi,
> 
> On Mon, 2010-05-10 at 22:20 +0200, ext Tony Lindgren wrote:
> > * Stephen Rothwell <[email-masked]> [100506 22:05]:
> > > Hi Tomi,
> > > 
> > > Today's linux-next merge of the omap_dss2 tree got a conflict in
> > > arch/arm/mach-omap2/board-rx51-peripherals.c between commit
> > > e87da74e34ad151e6ae75ebb7a7bf447f02c0004 ("omap: rx51: Add supplies for
> > > the tlv320aic3x codec driver") from the omap tree and commit
> > > a693839eab0292aa234d7a6f48d40389389baebb ("OMAP: RX51: Add "vdds_sdi"
> > > supply voltage for SDI") from the omap_dss2 tree.
> > > 
> > > Just overlapping additions. I fixed it up (see below) and can carry the
> > > fix as necessary.
> > 
> > Thanks again Stephen. We will move the conflicting DSS board-*.c
> > file changes over to omap for next.
> > 
> > Tomi, do you want to do a branch of board-*.c patches for me to
> > pull, or do you want me to just pick this one?
> 
> I think it's ok to pick just this one. It's just adds a regulator
> supply, and doesn't interfere with anything. I just need to make sure
> linux-omap's for-next is merged first, before I send my pull request.

Thanks, I've picked this patch.
 
> I made a branch for it, based on linux-omap/for-next:
> git://gitorious.org/linux-omap-dss2/linux.git for-tony
> 
> And I dropped the patch from my for-next branch.

Tomi, next time please check that your branch is based on
either the most recent tag by Linus, or in the conflicting
cases you can base on omap-for-linus branch. Please don't
base on for-next or other branches that are not yet
static, we don't want the merge history of duplicate branches.

Regards,

Tony